%define oname   rack-test

Name:       ruby-%{oname}
Version:    1.1.0
Release:    %mkrel 3
Summary:    Simple testing API built on Rack
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/brynary/rack-test
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on
its own or as a reusable starting point for Web frameworks and testing
libraries to build on. Most of its initial functionality is an extraction
of Merb 1.0's request helpers feature.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.*
%doc MIT-LICENSE.txt


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1507879
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1291202
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 pterjan <pterjan> 1.1.0-1.mga7
+ Revision: 1246044
- Update to 1.1.0

* Mon Apr 02 2018 pterjan <pterjan> 1.0.0-1.mga7
+ Revision: 1214691
- Update to 1.0.0

* Tue Apr 05 2016 pterjan <pterjan> 0.6.3-3.mga6
+ Revision: 998482
- Bump release
- Update to 0.6.3
- Needed by pcs
+ sander85 <sander85>
- Depends on dropped ruby-rack

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-8.mga5
+ Revision: 748688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-7.mga5
+ Revision: 688918
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.6.2-6.mga4
+ Revision: 561571
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.6.2-5.mga4
+ Revision: 538852
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 0.6.2-4.mga4
+ Revision: 490599
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.6.2-3.mga3
+ Revision: 396326
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 381312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.6.2-1.mga3
+ Revision: 313815
- new version 0.6.2

* Thu Jun 07 2012 solbu <solbu> 0.6.1-1.mga3
+ Revision: 256755
- New version
- Spec cleanup

* Sat Feb 12 2011 shikamaru <shikamaru> 0.5.7-1.mga1
+ Revision: 51094
- imported package ruby-rack-test


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.7-1
- Initial package
